QGIS Application - Bug report #16235
Create Points along Lines in Processing
2017-02-26 02:15 PM - Randal Hale

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.18.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24145
Description

If you have a line feature and use the "Create Points Along Lines" and leave the default output to be [Create Temporary Layer] the tool
fails with:

The following layers were not correctly generated.
output
You can check the log messages to find more information about the execution of the algorithm

If I check the log:

Error loading result layer:

Traceback (most recent call last):

File "/usr/share/qgis/python/plugins/processing/gui/Postprocessing.py”, line 75, in handleAlgorithmResults out.name))
File "/usr/share/qgis/python/plugins/processing/tools/dataobjects.py”, line 199, in load + '\

Check the processing framework log to look for errors’)

RuntimeError: Could not load layer: memory:

Check the processing framework log to look for errors

If | set it to save to a file - it runs.

History

#1 - 2017-04-04 03:24 AM - Victor Olaya
- Status changed from Open to Feedback

this seems to be fixed in master. Can you confirm it happens just with that algorithm, or with all of them when using temp layers?

#2 - 2017-04-27 04:22 AM - Alexander Bruy
- Tag deleted (qgis, processing, points, line)
- Resolution set to fixed/implemented

- OS version deleted (Ubuntu 16.04 )

- Operating System deleted (Linux)

- Status changed from Feedback to Closed

Fixed in master. Please reopen if necessary

2025-04-26 1/1




